org.appng.api

## Enum Scope

- java.lang.Object
- - java.lang.Enum<Scope>
  - - org.appng.api.Scope

- All Implemented Interfaces:
    Serializable, Comparable<Scope>

      public enum Scope
      extends Enum<Scope>

  Enum type defining the possible scopes of an `Environment`-attribute.
  Author:
    Matthias Müller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PLATFORM` platform-scope
    `REQUEST` request-scope
    `SESSION` session-scope
    `SITE` site-scope, the `Site` is identified by its host.
    `URL` url-scope, as used in JSPs

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `forSite(String name)`
    `static Scope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLATFORM

          public static final Scope PLATFORM

      platform-scope

    - #### SITE

          public static final Scope SITE

      site-scope, the `Site` is identified by its host.

    - #### SESSION

          public static final Scope SESSION

      session-scope

    - #### REQUEST

          public static final Scope REQUEST

      request-scope

    - #### URL

          public static final Scope URL

      url-scope, as used in JSPs

  - ### Method Detail

    - #### values

          public static Scope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scope c : Scope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scope valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### forSite

          public String forSite(String name)

      Parameters:
        `name` - the name of the `Site` to get the identifier for
      Returns:
        a String used in order to identify an `Environment` for a `Site`
      Throws:
        `IllegalArgumentException` - if this scope not equals `SITE`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.